function love.load()

	gr = love.graphics
	ke = love.keyboard
	getW = gr.getWidth()
	getH = gr.getHeight()
	pi = math.pi
	
	x0 = 0x00 -- 16 * 0 = 0
	x1 = 0x10 -- 16 * 1 = 16
	x2 = 0x20 -- 16 * 2 = 32
	x3 = 0x30 -- 16 * 3 = 48
	x4 = 0x40 -- 16 * 4 = 64
	x5 = 0x50 -- 16 * 5 = 80
	x8 = 0x80 -- 16 * 8 = 128
	xC = 0xC0 -- 16 * 12 = 192
	xf = 0xff -- 16 * 15,9375 = 255
	
	black,
	white =
	
		{x0, x0, x0},
		{xf, xf, xf}

	grey,
	darkgrey,
	lightgrey =
	
		{x8, x8, x8},
		{x4, x4, x4},
		{xC, xC, xC}
	
	cyan,
	magenta,
	yellow =
	
		{x0, x8, x8},
		{x8, x0, x8},
		{x8, x8, x0}

	man = {

		angle = pi,
		vel = xf,
		x = getW/2,
		y = getH/2,
	}
	
	gr.setBackgroundColor(darkgrey)
end

function love.update(dt)

	if ke.isDown("up") then
	
		man.x, man.y =
		
		man.x + math.cos(man.angle) * man.vel * dt,
		man.y + math.sin(man.angle) * man.vel * dt
		
	elseif ke.isDown("down") then
	
		man.x, man.y =
		
		man.x - math.cos(man.angle) * man.vel * dt,
		man.y - math.sin(man.angle) * man.vel * dt
	end
	
	if ke.isDown("right") then
	
		man.angle = man.angle + dt * 4
	end
	
	if ke.isDown("left") then
	
		man.angle = man.angle - dt * 4
	end
	
	if man.angle > (2*pi) then
	
		man.angle = man.angle % (2*pi)
		
	elseif man.angle < -(2*pi) then
	
		man.angle = man.angle + (2*pi)
	end
end

function love.draw()

	drawMan(man.x, man.y, man.angle)
	drawInfo(man.x, man.y, man.angle)
end

function love.keypressed(key)

	if key == "escape"
	or key == "return" then
	
		love.event.quit()
	end
end

function drawMan(x, y, a)

	gr.setLineWidth(x2)
	
	gr.setColor(cyan) -- right arm / bras droit
	gr.line(
	
		x,
		y,
		x + math.cos(a + pi/4) * x3,
		y + math.sin(a + pi/4) * x3
	)
		
	gr.setColor(magenta) -- left arm / bras gauche
	gr.line(
	
		x,
		y,
		x + math.cos(a - pi/4) * x4,
		y + math.sin(a - pi/4) * x4
	)
	
	gr.setColor(yellow)	 -- nose / nez
	gr.line(
	
		x,
		y,
		x + math.cos(a) * x5,
		y + math.sin(a) * x5
	)
	
	gr.setColor(lightgrey) -- center / centre
	gr.circle(
	
		"fill",	x, y, x1, 42
	)
end

function drawInfo(x, y, a)

	gr.setColor(white)
	gr.print(
	
		"x : " ..
		round(x, 0) .. "\n\n" ..
		
		"y : " ..
		round(y, 0) .. "\n\n" ..
		
		"angle : " ..
		round(a, 2) .. "\n\n" ..
		
		"cos(angle) : " ..
		round(math.cos(a), 1) .. "\n\n" ..
		
		"sin(angle) : " ..
		round(math.sin(a), 1) .. "\n\n" ..
		
		"constant : " ..
		((math.cos(a))^2)+((math.sin(a))^2),
		
		x1, x1
	)
end

function round(n, d)

	return (math.floor(n*10^d)/10^d)
end
